<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The module element represents a single J2EE module and contains an ejb, java, or web element, which indicates the module type and contains a path to the module file, and an optional alt-dd element, which specifies an optional URI to the post-assembly version of the deployment descriptor. The application deployment descriptor must have one module element for each J2EE module in the application package.">
<meta name="KeyWords" content="Module,Class Module,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;Module&nbsp;{Java}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;module&nbsp;element&nbsp;represents&nbsp;a&nbsp;single&nbsp;J2EE&nbsp;module&nbsp;and&nbsp;contains&nbsp;an&nbsp;ejb,&nbsp;java,&nbsp;or&nbsp;web&nbsp;element,&nbsp;which&nbsp;indicates&nbsp;the&nbsp;module&nbsp;type&nbsp;and&nbsp;contains&nbsp;a&nbsp;path&nbsp;to&nbsp;the&nbsp;module&nbsp;file,&nbsp;and&nbsp;an&nbsp;optional&nbsp;alt-dd&nbsp;element,&nbsp;which&nbsp;specifies&nbsp;an&nbsp;optional&nbsp;URI&nbsp;to&nbsp;the&nbsp;post-assembly&nbsp;version&nbsp;of&nbsp;the&nbsp;deployment&nbsp;descriptor.&nbsp;The&nbsp;application&nbsp;deployment&nbsp;descriptor&nbsp;must&nbsp;have&nbsp;one&nbsp;module&nbsp;element&nbsp;for&nbsp;each&nbsp;J2EE&nbsp;module&nbsp;in&nbsp;the&nbsp;application&nbsp;package.
<BR></font><BR><BR>
</body>
</html>
